ur_rna.RNAstructure.backend

## Class CDblVector

- java.lang.Object
- - ur_rna.RNAstructure.backend.CDblVector

-     public class CDblVector
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `swigCMemOwn`
    `private long` | `swigCPtr`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `CDblVector()`
    `` | `CDblVector(long n)`
    `protected` | `CDblVector(long cPtr, boolean cMemoryOwn)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(double x)`
    `long` | `capacity()`
    `void` | `clear()`
    `void` | `delete()`
    `protected void` | `finalize()`
    `double` | `get(int i)`
    `protected static long` | `getCPtr(CDblVector obj)`
    `boolean` | `isEmpty()`
    `void` | `reserve(long n)`
    `void` | `set(int i, double val)`
    `long` | `size()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### swigCMemOwn

          protected transient boolean swigCMemOwn

    - #### swigCPtr

          private transient long swigCPtr

  - ### Constructor Detail

    - #### CDblVector

          public CDblVector()

    - #### CDblVector

          public CDblVector(long n)

    - #### CDblVector

          protected CDblVector(long cPtr,
                               boolean cMemoryOwn)

  - ### Method Detail

    - #### add

          public void add(double x)

    - #### capacity

          public long capacity()

    - #### clear

          public void clear()

    - #### delete

          public void delete()

    - #### finalize

          protected void finalize()

      Overrides:
        `finalize` in class `java.lang.Object`

    - #### get

          public double get(int i)

    - #### getCPtr

          protected static long getCPtr(CDblVector obj)

    - #### isEmpty

          public boolean isEmpty()

    - #### reserve

          public void reserve(long n)

    - #### set

          public void set(int i,
                          double val)

    - #### size

          public long size()